class LearningObject::DraftBuilder

  def self.build(publisher, params={})
    @draft = LearningObject.new(sanitize_params(params))
    @draft.draft!

    #build language
    @draft.language = Language.find(params[:language]) if params[:language].to_i > 0

    # set publisher
    @draft.publisher = publisher
    @draft.save

    # build tags
    params[:tags].try(:each) do |t|
      tag = Tag.where(name: t['name']).first_or_create
      Tagging.where(tag: tag, taggable: @draft, tagger: publisher).first_or_create
    end
    @draft.save

    @draft
  end

  def self.sanitize_params(args={})
    params = args.clone
    %w(tags language link).each do |arg|
      params.delete(arg)
    end
    metadata = { 'dc.object.url' => args[:link] }
    params.merge(metadata: metadata)
  end

end
