class V1::PackagesController < ApplicationController
  before_action :set_objects

  def link
    response = PackageService.link(@objects)

    if response.nil?
      render status: :not_found
    else
      render json: { url: response }, status: :found
    end
  end

  private

  def set_objects
    allowed = PackageService.allowed_classes

    @objects = objects_params[:object].map do |o|
      next unless allowed.include? o['type']
      o['type'].constantize.find(o['id'])
    end
  end

  def objects_params
    params.require(:package).permit(object: [:type, :id])
  end
end
