# == Schema Information
#
# Table name: collection_items
#
#  id                  :integer          not null, primary key
#  collectionable_id   :integer
#  collectionable_type :string
#  collection_id       :integer
#  order               :integer
#  created_at          :datetime         not null
#  updated_at          :datetime         not null
#

class CollectionItem < ApplicationRecord
  # *current_user* add item *collectionable* to *collection*
  include Trackable

  belongs_to :collection
  belongs_to :collectionable, polymorphic: true

  validates :collection, :collectionable, presence: true
  validates :order, uniqueness: true, allow_blank: true
end
