module SearchService
  class Model
    def initialize(search, user)
      raise 'Invalid search' unless search.valid?

      @search = search
      @user = user
    end

    def search
      raise 'Must implement!'
    end

    def autocomplete
      raise 'Must implement!'
    end

    private

    def autocomplete_params
      { limit: 10, misspellings: { below: 5 } }
    end

    def autocomplete_render(result, type, thumbnail)
      result.map do |obj|
        {
          id: obj.id,
          name: obj.name,
          type: type.call(obj),
          thumbnail: thumbnail.call(obj)
        }
      end
    end
  end
end
