class CreateLearningObjects < ActiveRecord::Migration[4.2]
  def change
    create_table :learning_objects do |t|
      t.integer :id_dspace
      t.string :name
      t.string :author
      t.text :description
      t.datetime :published_at
      t.integer :score, default: 0
      t.integer :school_level
      t.jsonb :metadata, default: {}
      t.text :bitstreams
      t.string :thumbnail
      t.text :keywords

      t.references :publisher, polymorphic: true, index: true
      t.references :language, index: true
      t.references :object_type, index: true

      t.timestamps null: false
    end
    add_index :learning_objects, :id_dspace, unique: true
    add_foreign_key :learning_objects, :languages
    add_foreign_key :learning_objects, :object_types
  end
end
